<template lang="pug">
  .contact.is-flex
    a.is-flex.phone(
      v-for="item in items",
      :href="item.href",
      :rel="item.rel",
      :key="item.href",
      target="_blank"
    )
      app-icon(:icon="item.icon")
</template>

<script lang="ts">
import { Vue, Component } from 'nuxt-property-decorator';
import conctatInfo from '../../assets/json/contact.json';

@Component({
  name: 'HomeContact',
  components: {
    AppIcon: () => import(/* webpackChunkName: "app-icon" */ '../ui/AppIcon.vue'),
  },
})
class HomeContact extends Vue {
  items = conctatInfo
}

export default HomeContact;
</script>

<style lang="sass" scoped>
.contact
  justify-content: flex-end
  align-items: center

  a.is-flex
    justify-content: center
    align-items: center

  a.is-flex:not(:last-child)::after
    content: "|"
    padding: 0 .5rem
    color: white
</style>
